Bug 75443 - Keyboard Shortcuts for left|right Workspace only work together with Meta-Keys
Keyboard Shortcuts for left|right Workspace only work together with Meta-Keys
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-08 13:40 EDT by Thorsten Leemhuis
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-12 17:32:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2002-10-08 13:40:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
I assign my keyboards "windows keys" via ~/.Xmodmap functionskey F14 and F15.
After that I go to "Keyboard Shortcuts" in the Gnome-preferences
and try to assign "Go to Left Workspace" or "Go to Right Workspace" with one of
those keys and click on apply. That seems to work. When I push the keys a small
Window pops up in the middle and I can chose my Workspace with the curser keys,
but it does not change it after keyrelease or after pressing enter. If I assign
the keys together with one of SHIFT or STRG it works fine. In Sawfish I don't
need that, the workspace is changed right at key press without pressing meta-keys. 

How reproducible:
Comment 1 Havoc Pennington 2002-10-08 14:09:33 EDT
I don't understand exactly what you mean; are you saying:
 - the keybinding doesn't work
 - it only works on key release

what shortcut does the Keyboard Shortcuts control panel display?
(does it say "<Mod1>left" or what?)
Comment 2 Thorsten Leemhuis 2002-10-10 12:47:51 EDT
Sorry, maybe I was to sleepy Monday evening to post a goog bug description ;-)
I'll try to clarify. 

The short answer to your question. When I use these key without modifier-keys
the keybinding doesn't work. If I use It with a modifier it works at releasing
the modifier key (maybe the expected behavior)

I'll try to describe the problem again: I open the keyboard-shortcut dialog in
the preferences and go to Change to [left|right] Workspace (free translated
from German). Now I click on the right area to assign a new shortcut, and press
the key, e.g. F11, F12 or via .Xmodmap mapped Windows-Keys. Now the item says
the shortcut is F11 (or F12 or others). If I now press that key a small window
pops up in the middle with all my workspaces and I can go left (or right)
through these. The small windows stays in the middle until I press some other
key, but the Workspace does not change. If I try exactly the same key together
with an modifier (e.g. Strg) the Keyboard Shortcuts control panel display 
says  <CONTROL> F11  and if I press that the same windows pops up and i can go
through it an in the moment i release the modifier (Strg) the workspace is changed.

I simply find and annoying that i have to use a modifier-key, I want it to work
as in sawfish. There I *can* also assign a keyboard-shortcut without a modifier
so that the workspace changed immediately if I press the assigned key.

Hope now its more understandable.
Comment 3 Havoc Pennington 2003-01-12 17:32:18 EST
I believe this is fixed now.

Note You need to log in before you can comment on or make changes to this bug.